Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354609 - [DOCS] [2.2] Add new information for modifying gear profiles
Summary: [DOCS] [2.2] Add new information for modifying gear profiles
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks: 1196783
TreeView+ depends on / blocked
 
Reported: 2016-07-11 17:12 UTC by Rory Thrasher
Modified: 2016-09-08 19:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Build Name: 22972, Administration Guide-2.2.z-1.0 Build Date: 05-06-2015 13:54:48 Topic ID: 23139-717953 [Specified]
Last Closed: 2016-09-08 19:53:21 UTC


Attachments (Terms of Use)

Description Rory Thrasher 2016-07-11 17:12:40 UTC
Title: Adding or Modifying Gear Profiles

Describe the issue:

As a result of https://bugzilla.redhat.com/show_bug.cgi?id=1196783 - we're adding a workaround command for when users upgrade the `memory_limit_in_bytes` variable.  The `OPENSHIFT_GEAR_MEMORY_MB` env variable will not be updated for existing gears, so users will need to run a command to update it manually. 

for i in /var/lib/openshift/*/.env/OPENSHIFT_GEAR_MEMORY_MB; do echo 512 > "$i"; done


Suggestions for improvement:

Add a new instruction to Procedure 6.1 as a step 6 to instruct users on when and how to manually update the OPENSHIFT_GEAR_MEMORY_MB command.  Something like the following:

6. If gears already exist on the node host and the `memory_limit_in_bytes` variable has been updated in the resource_limits.conf, run the following command to ensure the memory limit for the new gear profile is applied to the existing gears.  Replace 512 with the new memory limit *in megabytes*.

for i in /var/lib/openshift/*/.env/OPENSHIFT_GEAR_MEMORY_MB; do echo 512 > "$i"; done


Additional information:

Note that the original variable from resource_limits.conf is in bytes, while the env variable is actually in megabytes.

Comment 1 Ashley Hardin 2016-08-26 19:17:48 UTC
Content is now drafted: http://docbuilder.usersys.redhat.com/20635/#Adding_New_Gear_Profiles

Comment 2 Ashley Hardin 2016-08-26 19:59:15 UTC
Verified by Rory Thrasher

Comment 3 Ashley Hardin 2016-08-26 20:07:20 UTC
Publishing note to Alex:

Deployment Guide [20635]
9.13.1. Adding or Modifying Gear Profiles 
Procedure 9.12. To Update the List of Valid Gear Sizes:


Note You need to log in before you can comment on or make changes to this bug.